> ## Documentation Index
> Fetch the complete documentation index at: https://wiki.lumiweb.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote

> Price ``quantity`` units, including the buyer's personal discount.

``total_usd`` is what the balance would actually be charged, so a client
can show the same number the purchase will take.



## OpenAPI

````yaml /api-reference/proxy.json post /v1/proxy/quote
openapi: 3.1.0
info:
  title: Lumi Proxy API
  version: 1.1.0
  description: >-
    Публичный REST API прокси Lumi. Ключ привязан к одному аккаунту и делает то
    же, что клиент делает в боте.


    Авторизация: `Authorization: Bearer <ключ>`. Денежные запросы дополнительно
    требуют заголовок `Idempotency-Key`.
servers:
  - url: https://api.lumiweb.cc/proxy
    description: production
security:
  - bearerAuth: []
paths:
  /v1/proxy/quote:
    post:
      tags:
        - proxy
      summary: Quote
      description: |-
        Price ``quantity`` units, including the buyer's personal discount.

        ``total_usd`` is what the balance would actually be charged, so a client
        can show the same number the purchase will take.
      operationId: quote
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuoteRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    QuoteRequest:
      properties:
        category:
          type: string
          maxLength: 32
          title: Category
        quantity:
          type: integer
          minimum: 1
          title: Quantity
      type: object
      required:
        - category
        - quantity
      title: QuoteRequest
    QuoteOut:
      properties:
        category:
          type: string
          title: Category
        quantity:
          type: integer
          title: Quantity
        unit:
          type: string
          title: Unit
        unit_price_usd:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Unit Price Usd
        price_usd:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Price Usd
          description: list price before the personal discount
        discount_percent:
          type: integer
          title: Discount Percent
          default: 0
        total_usd:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Total Usd
          description: what the balance is charged
        available:
          type: boolean
          title: Available
      type: object
      required:
        - category
        - quantity
        - unit
        - available
      title: QuoteOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Ключ вида lumi_proxy_… Выдаётся оператором.

````